package cn.iocoder.yudao.module.product.convert.harvestinfo;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.controller.admin.harvestinfo.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.harvestinfo.HarvestInfoDO;

/**
 * 采收入库 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface HarvestInfoConvert {

    HarvestInfoConvert INSTANCE = Mappers.getMapper(HarvestInfoConvert.class);

    HarvestInfoDO convert(HarvestInfoCreateReqVO bean);

    HarvestInfoDO convert(HarvestInfoUpdateReqVO bean);

    HarvestInfoRespVO convert(HarvestInfoDO bean);

    List<HarvestInfoRespVO> convertList(List<HarvestInfoDO> list);

    PageResult<HarvestInfoRespVO> convertPage(PageResult<HarvestInfoDO> page);

    List<HarvestInfoExcelVO> convertList02(List<HarvestInfoDO> list);

}
